Class | ActionView::Template
In: | lib/action_view/template.rb
Parent: | Object

### Methods

content_type format_and_extension method_segment mime_type multipart? new path path_without_extension path_without_format_and_extension relative_path render_template source

### Included Modules

Renderable

### Attributes

base_path | [RW] |
extension | [RW] |
filename | [RW] |
format | [RW] |
load_path | [RW] |
name | [RW] |

### Public Class methods

new(template_path, load_paths = [])

### Public Instance methods

content_type()
format_and_extension()
method_segment()
mime_type()
multipart?()
path()
path_without_extension()
path_without_format_and_extension()
relative_path()
render_template(view, local_assigns = {})
source()

[Validate]